=== modified file 'olive/log.py'
--- olive/log.py	2006-09-25 02:22:36 +0000
+++ olive/log.py	2006-09-25 16:28:49 +0000
@@ -32,11 +32,7 @@
 from bzrlib.branch import Branch
 import bzrlib.errors as errors
 
-nobzrgtk = False
-try:
-    from bzrlib.plugins.gtk.viz.bzrkapp import BzrkApp
-except ImportError:
-    nobzrgtk = True
+from bzrlib.plugins.gtk.viz.branchwin import BranchWindow
 
 class OliveLog:
     """ Display Log (bzrk) window and perform the needed actions. """
@@ -66,9 +62,7 @@
         if self.notbranch:
             self.dialog.error_dialog(_('Directory is not a branch'),
                                      _('You can perform this action only in a branch.'))
-        elif nobzrgtk:
-            self.dialog.error_dialog(_('bzr-gtk plugin not available'),
-                                     _('Please install the bzr-gtk plugin in order to have visual log support.'))
         else:
-            self.app = BzrkApp()
-            self.app.show(self.branch, self.revid, None, False)
+            window = BranchWindow()
+            window.set_branch(self.branch, self.revid, None)
+            window.show()

